# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit git-2 autotools eutils

DESCRIPTION="A client for nf_queue who filter packet using a dnsbl"
HOMEPAGE="nfdnsbl.dosadi.fr"
SRC_URI=""

EGIT_REPO_URI="git://dosadi.fr/nfdnsbl.git"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"

IUSE="syslog cache"

DEPEND=">=dev-libs/libconfig-1.4
		>=net-libs/libnetfilter_queue-1.0
		dev-libs/libbsd"
RDEPEND="${DEPEND}"

DOCS=(AUTHORS ChangeLog README TODO)

src_unpack() {
	git-2_src_unpack
	cd ${S}
	eautoreconf || die "autoreconf failed!"
}

src_configure() {
	econf $(use_enable cache) $(use_enable syslog) || die "configure failed!"
}

src_compile() {
	emake || die "make failed!"
}

src_install() {
	einstall || die "make install failed!"
	dodoc INSTALL ChangeLog README AUTHORS

	keepdir /etc/nfdnsbl

	newinitd "${FILESDIR}/nfdnsbl.init" nfdnsbl || die "newinitd failed"
}
